|  | simd.h File Reference updated Thu Jun 19 2025 by Robert van Engelen |

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
simd.h File Reference

RE/flex SIMD primitives. More...

`#include <cstddef>`
`#include <cstdint>`
`#include <cstdlib>`
Include dependency graph for simd.h:
This graph shows which files directly or indirectly include this file:

## Namespaces
| reflex

## Functions
size_t | reflex::nlcount (const char *s, const char *e)
| Count newlines in string s up to position e in the string. More...
bool | reflex::isutf8 (const char *s, const char *e)
| Check if valid UTF-8 encoding and does not include a NUL, but accept surrogates and 3/4 byte overlongs. More...

## Detailed Description

RE/flex SIMD primitives.

Author
  Robert van Engelen - engel.nosp@m.en@g.nosp@m.enivi.nosp@m.a.co.nosp@m.m

Copyright
  (c) 2016-2024, Robert van Engelen, Genivia Inc. All rights reserved.
  (c) BSD-3 License - see LICENSE.txt